Bug 1275462 - Long delay in starting GTK applications [NEEDINFO]
Long delay in starting GTK applications
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gvfs (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ondrej Holy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-26 21:11 EDT by Ben Boeckel
Modified: 2017-08-08 08:19 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:19:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
oholy: needinfo? (mathstuf)


Attachments (Terms of Use)

  None (edit)
Description Ben Boeckel 2015-10-26 21:11:00 EDT
Starting up any GTK-using application takes an inordinate amount of time with this output:

GVFS-WARNING **: Error creating proxy: Error calling StartServiceByName for org.gtk.vfs.Daemon: Timeout was reached (g-io-error-quark, 24)

I see this in the journal:

Oct 26 20:57:58 bronto-burt dbus-daemon[1277]: Activating systemd to hand-off: service name='org.gtk.vfs.Daemon' unit='gvfs-daemon.service'
Oct 26 20:59:58 bronto-burt dbus-daemon[1277]: Failed to activate service 'org.gtk.vfs.Daemon': timed out
Oct 26 20:59:58 bronto-burt dbus-daemon[1277]: Failed to activate service 'org.freedesktop.systemd1': timed out

Packages:

gvfs-1.26.1.1-2.fc24.x86_64
dbus-1.10.0-3.fc24.x86_64
systemd-227-1.fc24.x86_64
gtk3-3.18.2-1.fc24.x86_64

Uninstalling gvfs doesn't help anything either.
Comment 1 Ben Boeckel 2015-11-06 21:20:08 EST
Removing gvfs makes things happy again. Reassigning.
Comment 2 Ondrej Holy 2015-11-10 02:25:41 EST
Thanks for your bug report.

Could you test also latest gvfs-1.26.1.1-3 package (I can't reproduce with)? This package contains one dbus related patch, which might potentially also fix this issue...
Comment 3 Jan Kurik 2016-02-24 08:52:31 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 4 Ben Boeckel 2016-07-24 00:13:28 EDT
Still able to reproduce the problem with gvfs-1.29.4-1.fc25. Not sure what's up with it; I do have a pretty stripped down system (from a DE point-of-view), so does gvfs not do well if none of its backends are installed?
Comment 5 Ondrej Holy 2016-07-29 08:29:33 EDT
(In reply to Ben Boeckel from comment #4)
> Still able to reproduce the problem with gvfs-1.29.4-1.fc25. Not sure what's
> up with it; I do have a pretty stripped down system (from a DE
> point-of-view), so does gvfs not do well if none of its backends are
> installed?

Do you see same problems if you boot from live disk? Is it possible to reproduce this uninstalling some packages? What do you mean with stripped down system and that none of its backends are installed? If you manually removed some important parts, it doesn't have to work correctly...

Do you see some failures if you start the main daemon manually:
/usr/libexec/gvfsd --replace
Comment 6 Fedora End Of Life 2017-07-25 15:24:05 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2017-08-08 08:19:51 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.